import { InputProps } from "@chakra-ui/react";

import { Car } from "../../../../models/landing";

export type CarBodySelectOption = {
  value: Car.BodyStyle;
  labelTKey:
  'sedan' |
  'hatchback' |
  'crossover' |
  'suv' |
  'station-wagon' |
  'coupe' |
  'minivan' |
  'pickup' |
  'liftback' |
  'sports-car' |
  'other';
  img?: string;
};

export type CarBodySelectProps = {
  value?: string;
} & Pick<InputProps, 'onChange'>;